Package org.silverpeas.components.quickinfo.web

# Class NewsEntity

java.lang.Object
org.silverpeas.components.quickinfo.web.NewsEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class NewsEntity extends Object implements org.silverpeas.core.web.rs.WebEntity

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NewsEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NewsEntity`
  `fromNews(News news)`
  `String`
  `getComponentId()`
  `String`
  `getContent()`
  `Date`
  `getDate()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `Integer`
  `getNumberOfAttachments()`
  `String`
  `getPermalink()`
  `String`
  `getPublicationId()`
  `String`
  `getPublishedFor()`
  `int`
  `getPublishedForNbDays()`
  `String`
  `getPublishTime()`
  `String`
  `getThumbnailURL()`
  `String`
  `getTitle()`
  `URI`
  `getURI()`
  `void`
  `setComponentId(String componentId)`
  `void`
  `setContent(String content)`
  `void`
  `setDate(Date date)`
  `void`
  `setDescription(String description)`
  `void`
  `setId(String id)`
  `void`
  `setNumberOfAttachments(int numberOfAttachments)`
  `void`
  `setPermalink(String url)`
  `void`
  `setPublicationId(String publicationId)`
  `void`
  `setThumbnailURL(String thumbnailURL)`
  `void`
  `setTitle(String name)`
  `NewsEntity`
  `withURI(URI uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsEntity

    protected NewsEntity()

- ## Method Details

  - ### fromNews

    public static NewsEntity fromNews(News news)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String name)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getPermalink

    public String getPermalink()

  - ### setPermalink

    public void setPermalink(String url)

  - ### getURI

    public URI getURI()
    Specified by:
      `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

  - ### withURI

    public NewsEntity withURI(URI uri)

  - ### setId

    public void setId(String id)

  - ### getId

    public String getId()

  - ### setPublicationId

    public void setPublicationId(String publicationId)

  - ### getPublicationId

    public String getPublicationId()

  - ### setComponentId

    public void setComponentId(String componentId)

  - ### getComponentId

    public String getComponentId()

  - ### getPublishedFor

    public String getPublishedFor()

  - ### getPublishedForNbDays

    public int getPublishedForNbDays()

  - ### getPublishTime

    public String getPublishTime()

  - ### getContent

    public String getContent()

  - ### setContent

    public void setContent(String content)

  - ### setThumbnailURL

    public void setThumbnailURL(String thumbnailURL)

  - ### getThumbnailURL

    public String getThumbnailURL()

  - ### setNumberOfAttachments

    public void setNumberOfAttachments(int numberOfAttachments)

  - ### getNumberOfAttachments

    public Integer getNumberOfAttachments()